#
# spec file for package swftools
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           swftools
Version:        0.9.2
Release:        8.4
Summary:        Utilities to manipulate SWF files
License:        GPL-3.0+
Group:          Productivity/Graphics/Convertors
Url:            http://swftools.org/

#Git-Clone:	git://git.swftools.org/swftools
#Download-Page:	http://swftools.org/download.html
Source:         http://swftools.org/%name-%version.tar.gz
Patch1:         %name-make-destdir.patch
Patch2:         %name-makefile-install.diff
Patch3:         0001-build-support-for-giflib-5.x.patch
BuildRequires:  fftw3-devel
BuildRequires:  fontconfig-devel
BuildRequires:  freetype2-devel
BuildRequires:  gcc-c++
BuildRequires:  giflib-devel
BuildRequires:  gzip
BuildRequires:  jpeg
BuildRequires:  libjpeg-devel
BuildRequires:  pkg-config
BuildRequires:  python-devel
BuildRequires:  ruby-devel
BuildRequires:  zlib-devel
BuildRequires:  zziplib-devel

%description
SWFTools is a collection of utilities for working with Adobe Flash
files (SWF files). The tool collection includes programs for reading
SWF files, combining them, and creating them from other content (like
images, sound files, videos or sourcecode).

%prep
%setup -q
%patch -P 1 -P 2 -P 3 -p1

%build
%configure --disable-warnings
make %{?_smp_mflags}

%install
b="%buildroot"
make install DESTDIR="$b"
rm "$b/%_datadir/%name/swfs"/default*
pushd "$b/%_datadir/%name/swfs/"
ln -s simple_viewer.swf default_viewer.swf
ln -s tessel_loader.swf default_loader.swf
popd

%files
%defattr(-,root,root)
%_bindir/as3compile
%_bindir/*swf*
%_datadir/%name
%_mandir/man1/as3*.1*
%_mandir/man1/*swf*.1*
%doc COPYING

%changelog
* Thu Jan 29 2015 dimstar@opensuse.org
- Update 0001-build-support-for-giflib-5.x.patch: cope with
  giflib 5.1 API change (DGifCloseFile now takes two parameters).
* Tue Nov 12 2013 jengelh@inai.de
- Initial package (version 0.9.2) for build.opensuse.org
